List enrolled students
curl --request GET \
--url https://api.example.com/v1/cohorts/{id}/studentsimport requests
url = "https://api.example.com/v1/cohorts/{id}/students"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/cohorts/{id}/students', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cohorts
List enrolled students
Sugar for users.list({ role: 'student', cohort_id }).
GET
/
v1
/
cohorts
/
{id}
/
students
List enrolled students
Path parameters
Query
Examples
const students = await hk.cohorts.students("coh_123");
// Equivalent:
const same = await hk.students.list({ cohort_id: "coh_123" });
$students = $hk->cohorts->students('coh_123');
// Equivalent:
$same = $hk->students->list(['cohort_id' => 'coh_123']);
Returns
A paginated list of User objects withrole: "student".⌘I